/*
* Ghani Atamnia fvrier 1998
* Ce fichier dfinit une classe Ecran interface avec la bibliothque Allegro
* Il dclare une instance ecran qui reprsentera l'cran graphique en 320x200
* Pour utiliser cette instance, il faut 
*	1. inclure ce fichier dans cvotre programme
*	2. utiliser la bibliothque Allegro 
*		(options, Libraries, cocher 0, et mettre en regard alleg)
*		
*		[x] 0 | alleg
*		[ ] 1 |
*
* Bien entendu, cette classe est voue  tre enrichie pour les prochains TP
*
*/
#include "allegro.h"
class Ecran {
  private:
	int couleurDessin;
	int couleurFond;
  public:
 	Ecran() {
   		allegro_init();
		install_keyboard(); 
		set_gfx_mode(GFX_VGA, 320, 200, 0, 0);
		set_pallete(desktop_pallete);
		couleurFond=0;
		couleurDessin=10;
	}
	~Ecran() {
	}
	void dessiner(int x, int y) {
		putpixel(screen,x,y,couleurDessin);
	}
	void dessiner(int x, int y, int c) {
		putpixel(screen,x,y,c);
	}
	void dessiner(int x1, int y1, int x2, int y2) {
		line(screen,x1,y1,x2,y2,couleurDessin);
	}
	void dessiner(int x1, int y1, int x2, int y2,int c) {
		line(screen,x1,y1,x2,y2,c);
	}
	void effacer(int x, int y) {
		putpixel(screen,x,y,couleurFond);
	}
	void effacer(int x1, int y1, int x2, int y2) {
		line(screen,x1,y1,x2,y2,couleurFond);
	}
	int couleurPixel(int x, int y) {
		return getpixel(screen,x,y);
	}
	void definirCouleurFond(int c) {
		couleurFond=c;
		floodfill(screen,2,1,couleurFond);
	}
	void definirCouleurDessin(int c) {
		couleurDessin=c;
	}
};
Ecran ecran;
